Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class GinjectorGenerator

    java.lang.Object
      com.google.gwt.core.ext.Generator
          com.google.gwt.inject.rebind.GinjectorGenerator

    public class GinjectorGenerator

extends com.google.gwt.core.ext.Generator

Generator for implementations of `Ginjector`.

Constructor Summary
`GinjectorGenerator()`

Method Summary
`java.lang.String` | `generate(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.core.ext.GeneratorContext context, java.lang.String typeName)`

Methods inherited from class com.google.gwt.core.ext.Generator
`contentDependsOnProperties, contentDependsOnTypes, escape, getAccessedPropertyNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GinjectorGenerator

    public GinjectorGenerator()

Method Detail

### generate

    public java.lang.String generate(com.google.gwt.core.ext.TreeLogger logger,
                                     com.google.gwt.core.ext.GeneratorContext context,
                                     java.lang.String typeName)
                              throws com.google.gwt.core.ext.UnableToCompleteException

  Specified by:
    `generate` in class `com.google.gwt.core.ext.Generator`
  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD